Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: Проблемы с драйверами Nvidia при установке в определеном порядке  (Прочитано 5440 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн AMD

  • Автор темы
  • Участник
  • *
  • Сообщений: 186
    • Просмотр профиля
В Kubuntu 7.04 есть 3 вида драйверов NVidia

Nvidia-glx-legacy (для Riva TNT, TNT2, GeForce 256)
Nvidia-glx (для GeForce2MX,GF4 MX440, FX5200-5500, GeForce6200-6600,6100(410,430))
Nvidia-glx-New (для FX5200-5500, GeForce6200-6600, GeForce7100-7900, 6100(405,410,430), GF8800,8600,8500)

Прикол вот в чем

Nvidia-glx-legacy - устанавливается работает прекрасно - но не получается запустить openGL

Nvidia-glx - устанавливается работает прекрасно есть OpenGL

Nvidia-glx-new - устанавливается работает прекрасно есть OpenGL

Но Nvidia-glx работает только если установить на чистый линукс

Если же установить Nvidia-glx-new потом удалить, а потом установить Nvidia-glx то драйвер не хочет работать говорит что модуль ядра другой версии (логично остается тот что был установлен на Nvidia-glx-new 9755 ) а нужен для этого драйвера модуль 9631

Но если же установить Nvidia-glx на чистый линукс то он работает - потом удалить и потом установить Nvidia-glx-new то все тоже будет ок.

Видимо установшик Nvidia-glx имеет коекакие ошибки?

1. Кто предложит решение чтоб установить Nvidia-glx после Nvidia-glx-new и все чтоб работало?
2. Как запустить OpenGL на Nvidia-glx-legacy

Спасибо заранее

Оффлайн Viewizard

  • Активист
  • *
  • Сообщений: 481
    • Просмотр профиля
А собственно какая видео карта у тебя?
Я просто прозреваю, сам написал:
Цитировать
Nvidia-glx-legacy (для Riva TNT, TNT2, GeForce 256)
Nvidia-glx (для GeForce2MX,GF4 MX440, FX5200-5500, GeForce6200-6600,6100(410,430))
Nvidia-glx-New (для FX5200-5500, GeForce6200-6600, GeForce7100-7900, 6100(405,410,430), GF8800,8600,8500)
каким боком у тебя должно работать опенжл на всех трех драйверах, когда там даже по определению работать будет максимум на 2  ;D

А вообще, если Nvidia-glx-new работает нормально (а это самые последние стабильный драйвера всегда), с какого перепуга надо ставить устаревшие Nvidia-glx... спортивного интереса ради?
Обходя разложенные грабли, ты теряешь драгоценный опыт!

Оффлайн AMD

  • Автор темы
  • Участник
  • *
  • Сообщений: 186
    • Просмотр профиля
А собственно какая видео карта у тебя?
У меня их много
Riva TNT2 32MB
GeForce2 MX400 32MB
GeForce4 MX440SE 64MB
GeForce4 MX440 64MB AGP8x
GeForce5200 64MB
GeForce6200 128MB AGP
GeForce7300GS 256MB PCIe
GeForce7300GT 256MB PCIe
GeForce7600GT 256MB PCIe
GeForce6150 onboard
GeForce6100 onboard (410 и 405)


Я просто прозреваю, сам написал:
Цитировать
Nvidia-glx-legacy (для Riva TNT, TNT2, GeForce 256)
Nvidia-glx (для GeForce2MX,GF4 MX440, FX5200-5500, GeForce6200-6600,6100(410,430))
Nvidia-glx-New (для FX5200-5500, GeForce6200-6600, GeForce7100-7900, 6100(405,410,430), GF8800,8600,8500)
Протестировал собственоручно


каким боком у тебя должно работать опенжл на всех трех драйверах, когда там даже по определению работать будет максимум на 2  ;D

Ну на двух работает 100% это nvidia-glx и nvidia-glx-new
На nvidia-glx-legacy не получилось запустить вот собствено и вопрос как это сделать а то читал статейки что люди запускали OpenArena на них - думаю не в софтверном openGL

А вообще, если Nvidia-glx-new работает нормально (а это самые последние стабильный драйвера всегда), с какого перепуга надо ставить устаревшие Nvidia-glx... спортивного интереса ради?

Взял установил линукс и установил дрова Nvidia-glx-new установил кучу софта кучу обновление кучу настроек короче работал долго и нудно теперь нужно его размножить по компам через клонирование вот тут и проблема встала.

Ведь некоторые компы имеют видюхи
GeForce2 MX400 32MB
GeForce4 MX440SE 64MB
GeForce4 MX440 64MB AGP8x
а вот собствено изза них и вся проблема
ставлю Nvidia-glx удалив Nvidia-glx-new --- и проблемы!!!

Ставлю Kubuntu с чиста - ставлю Nvidia-glx - все работает - OpenGL кстати тоже

И так кроме критики предложение дадите? И читайте акуратно...

Знал бы о этой проблеме установил бы сразу Nvidia-glx - поскольку Nvidia-glx-New ставится легко после Nvidia-glx - Но к сожалению уже поздно
Ну я одно не пойму что нельзя этот модуль(9631) вручную скопировать с установленого Kubuntu с драйверами Nvidia-glx где все работает?
« Последнее редактирование: 17 Июнь 2007, 00:20:43 от AMD »

Оффлайн Viewizard

  • Активист
  • *
  • Сообщений: 481
    • Просмотр профиля
И так кроме критики предложение дадите? И читайте акуратно...
Гм... прикол, ладно проехали.

В убунте 7.04 есть глюк, после установки-удаления разных glx (или после удаления бинарных драйверов с сайта нвидии) там что-то портиться, этот глюк на ланчпаде уже засабмичен. Пока исправлений нет, т.е. нормального решения соотв. тоже нет, остаються только пляски с бубном, например попробовать отключить модули ядра Nvidia-glx-legacy и Nvidia-glx-New, чтобы грузился только модуль Nvidia-glx и соотв. не было конфликтов.

А вообще, для клонирования обычно используется система с веса драйвером, а конкретный драйвер ставиться уже на конечной системе. Иначе всяких приколов не избежать.
Обходя разложенные грабли, ты теряешь драгоценный опыт!

Оффлайн AMD

  • Автор темы
  • Участник
  • *
  • Сообщений: 186
    • Просмотр профиля
А вообще, для клонирования обычно используется система с веса драйвером, а конкретный драйвер ставиться уже на конечной системе. Иначе всяких приколов не избежать.
Это я уже понял! Но поздно!

Пробовал с ланчпада решение использовать но не катит

поставил в
/etc/default/linux-restricted-modules-common
поставить
DISABLED_MODULES="nvidia nvidia_legacy"

но не помогает

и кстати это относится тогда когда ставишь nvidia-glx после nvidia-glx-legacy

и для этого даже поставил nvidia-glx-legacy -> снес и потом поставил nvidia-glx и ничего толку

А как указать в /etc/default/linux-restricted-modules-common для отключения модулей nvidia-glx-new
а то я по предположению взял и вписал DISABLED_MODULES="nvidia nvidia_new"
но тоже не помогает - не могу понять как людям на ланчпаде помогает

« Последнее редактирование: 18 Июнь 2007, 11:01:58 от AMD »

Оффлайн Kwah

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1442
  • Ubuntu 17.10
    • Просмотр профиля
А envy вам тут случаем не поможет?

Оффлайн dmig

  • Старожил
  • *
  • Сообщений: 1668
    • Просмотр профиля
была проблема, после смены драйвера с сайта нвидии на nvidia-glx-new.
решил так:
sudo dpkg-reconfigure linux-restricted-modules-чего-то-там
sudo dpkg-reconfigure nvidia-glx-new

Оффлайн Mam(O)n

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 5855
    • Просмотр профиля
1. Кто предложит решение чтоб установить Nvidia-glx после Nvidia-glx-new и все чтоб работало?
https://forum.ubuntu.ru/index.php?topic=9362.msg68627#msg68627

Оффлайн dmig

  • Старожил
  • *
  • Сообщений: 1668
    • Просмотр профиля
объясните мне, в чём смысл устанавливать вместо нового драйвера старый, если новый работает?

Оффлайн AMD

  • Автор темы
  • Участник
  • *
  • Сообщений: 186
    • Просмотр профиля
объясните мне, в чём смысл устанавливать вместо нового драйвера старый, если новый работает?

Извени, но обьяснять каждому кому лень читать с самого начала я не в состояние так что уж извени читай с начала и акуратно, и найдешь ответ на твой вопрос
« Последнее редактирование: 20 Июнь 2007, 12:21:40 от AMD »

Оффлайн dmig

  • Старожил
  • *
  • Сообщений: 1668
    • Просмотр профиля
читал. ответа не вижу. если работает nvidia-glx-new, зачем менять его на nvidia-glx?
nvidia-glx - просто более старая версия драйвера

Оффлайн AMD

  • Автор темы
  • Участник
  • *
  • Сообщений: 186
    • Просмотр профиля
читал. ответа не вижу. если работает nvidia-glx-new, зачем менять его на nvidia-glx?
nvidia-glx - просто более старая версия драйвера

В том то и дело что не работают - ну просто не могут они работать на MX440 хоть убей поскольку для них подходит только nvidia-glx
А если посмотришь чють выше то наверное увидишь вот это
Цитировать
Взял установил линукс и установил дрова Nvidia-glx-new установил кучу софта кучу обновление кучу настроек короче работал долго и нудно теперь нужно его размножить по компам через клонирование вот тут и проблема встала.

Ведь некоторые компы имеют видюхи
GeForce2 MX400 32MB
GeForce4 MX440SE 64MB
GeForce4 MX440 64MB AGP8x
а вот собствено изза них и вся проблема
ставлю Nvidia-glx удалив Nvidia-glx-new --- и проблемы!!!

Есть уже готовый образ с установлеными Nvidia-glx-new но мне не нужно этого на все компы на некоторые нужно Nvidia-glx
« Последнее редактирование: 21 Июнь 2007, 13:39:06 от AMD »

Оффлайн AMD

  • Автор темы
  • Участник
  • *
  • Сообщений: 186
    • Просмотр профиля
1. Кто предложит решение чтоб установить Nvidia-glx после Nvidia-glx-new и все чтоб работало?
https://forum.ubuntu.ru/index.php?topic=9362.msg68627#msg68627

Спасибо очень помогло
Все очень просто
надо удалить файл
/lib/linux-restricted-modules/.nvidia_new_installed

и все будет ок

Оффлайн MUMU_Ed

  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Кто нибуть помогите установить драйвер GeForce 7300 256Mb а то я скачал с Nvidia сайта NVIDIA-Linux-x86-100.14.11-pkg1.run, а чо с ним делать незнаю!!!

Оффлайн Omikron

  • Участник
  • *
  • Сообщений: 104
  • HP Probook 430 G2
    • Просмотр профиля
Кто нибуть помогите установить драйвер GeForce 7300 256Mb а то я скачал с Nvidia сайта NVIDIA-Linux-x86-100.14.11-pkg1.run, а чо с ним делать незнаю!!!
Скачай и поставь этот пакет http://albertomilone.com/ubuntu/nvidia/scripts/envy_0.9.7-0ubuntu2_all.deb Прога будет в разделе системные Envy. Прога удаляет и устанавливает дрова. Прога сама установит , скачав с интернета драйвер, и отредактирует xorg.conf как нужно, чтобы все работало.Сам так драйвер nvidia ставил. Все работает.

 

Страница сгенерирована за 0.061 секунд. Запросов: 22.